S Science Company

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/s-science-company/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/s-science-company/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1756166400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s-science.jp/cms/wp-content/uploads/2025/10/208b8200c45a08969c4ee54a2433809a.pdf",
    "holding_balance": 30.7408546,
    "holding_net_change": 30.74,
    "transaction_value_usd": 3400000.0,
    "average_entry_value_usd": 110602.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1757376000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s-science.jp/cms/wp-content/uploads/2025/10/ec8ea4f5f9f2523e19c050b337515845.pdf",
    "holding_balance": 181.981024,
    "holding_net_change": 151.24,
    "transaction_value_usd": 17000000.0,
    "average_entry_value_usd": 112404.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1759363200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s-science.jp/cms/wp-content/uploads/2025/10/6ad58b6e823bb252c1d7c3386f8557d3.pdf",
    "holding_balance": 296.2406218,
    "holding_net_change": 114.26,
    "transaction_value_usd": 13600000.0,
    "average_entry_value_usd": 119027.2,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/s-science-company/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    296.2406218
  ],
  [
    1779062400000,
    296.2406218
  ],
  [
    1779148800000,
    296.2406218
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/s-science-company/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    22937869.87228695
  ],
  [
    1779062400000,
    22794018.38874708
  ],
  [
    1779148800000,
    22739433.09177421
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/s-science-company/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/s-science-company/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/s-science-company/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/s-science-company/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}